Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class JRBoxUtil

    java.lang.Object
      net.sf.jasperreports.engine.util.JRBoxUtil

    public final class JRBoxUtil

extends java.lang.Object

Version:
  $Id: JRBoxUtil.java 3713 2010-04-08 11:06:05Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`static JRLineBox` | `clone(JRLineBox box, boolean keepLeft, boolean keepRight, boolean keepTop, boolean keepBottom, JRLineBox complementaryBox)`
`static void` | `reset(JRLineBox box, boolean resetLeft, boolean resetRight, boolean resetTop, boolean resetBottom)`
`static void` | `setBoxToLineBox(JRBox box, JRLineBox lineBox)`
`static void` | `setToBox(java.lang.Byte border, java.lang.Byte topBorder, java.lang.Byte leftBorder, java.lang.Byte bottomBorder, java.lang.Byte rightBorder, java.awt.Color borderColor, java.awt.Color topBorderColor, java.awt.Color leftBorderColor, java.awt.Color bottomBorderColor, java.awt.Color rightBorderColor, java.lang.Integer padding, java.lang.Integer topPadding, java.lang.Integer leftPadding, java.lang.Integer bottomPadding, java.lang.Integer rightPadding, JRLineBox box)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clone

    public static JRLineBox clone(JRLineBox box,
                                  boolean keepLeft,
                                  boolean keepRight,
                                  boolean keepTop,
                                  boolean keepBottom,
                                  JRLineBox complementaryBox)

### reset

    public static void reset(JRLineBox box,
                             boolean resetLeft,
                             boolean resetRight,
                             boolean resetTop,
                             boolean resetBottom)

### setToBox

    public static void setToBox(java.lang.Byte border,
                                java.lang.Byte topBorder,
                                java.lang.Byte leftBorder,
                                java.lang.Byte bottomBorder,
                                java.lang.Byte rightBorder,
                                java.awt.Color borderColor,
                                java.awt.Color topBorderColor,
                                java.awt.Color leftBorderColor,
                                java.awt.Color bottomBorderColor,
                                java.awt.Color rightBorderColor,
                                java.lang.Integer padding,
                                java.lang.Integer topPadding,
                                java.lang.Integer leftPadding,
                                java.lang.Integer bottomPadding,
                                java.lang.Integer rightPadding,
                                JRLineBox box)

### setBoxToLineBox

    public static void setBoxToLineBox(JRBox box,
                                       JRLineBox lineBox)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com